// MWeb
// copyright Coridium Corp., 2014, free for any use with this notice


#ifndef CORTEX_ISR_H
#define CORTEX_ISR_H

unsigned disableIRQ(void);
unsigned restoreIRQ(unsigned oldCPSR);
unsigned enableIRQ(void);

#ifdef GPP
  #define externC extern "C"
#else
  #define externC
#endif


externC void PWM1_IRQHandler(void);
externC void UART0_IRQHandler(void);

externC void NmiSR(void);      
externC void FaultISR(void);
externC void FaultMPU(void);
externC void FaultBUS(void);
externC void FaultUSE(void);
externC void IntDefaultHandler(void);

#ifdef USE_WD_INT
//NOT YET void WDT_ISR(void);
#endif


#endif
