// MWeb
// copyright Coridium Corp., 2014, free for any use with this notice


#ifndef COR_ETH_ARP_H
#define COR_ETH_ARP_H

#define OP_ARP_REQUEST       1                   // operations for ARP-frames
#define OP_ARP_ANSWER        2
#define sOP_ARP_REQUEST		0x0100			//s operations for ARP-frames
#define sOP_ARP_ANSWER		0x0200			//s

typedef struct __attribute__((__packed__)) {
  unsigned char  dst[6];
  unsigned char  src[6];
  unsigned short eth_type;//0806 ARP

  unsigned short hwtype;
  unsigned short protocol;
  unsigned char  hwlen;
  unsigned char  protolen;
  unsigned short opcode;
  unsigned char  shwaddr[6];
  unsigned char  sipaddr[4];
  unsigned char  dhwaddr[6];
  unsigned char  dipaddr[4];
} eth_arp;

void Handle_ARP(void);//respond to ARP queries or fill in g_searchMAC based on ARP answer received

#endif