/*
	Copyright 2001, 2002 Georges Menie (www.menie.org)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    
    Modifications by Coridium Corp
*/

#ifndef _PRINTF_H
#define _PRINTF_H

//////////////////////////////////////////////////
//
//	some compilers seem happier doing it this way
//
#if 0
 #define putchar 	_embedded_putchar
 #define puts		_embedded_puts
 #define printf  	_embedded_printf
 #define sprintf	_embedded_sprintf
#endif

int putchar(int c);

int puts(char *s);

int printf(const char *format, ...);

int sprintf(char *out, const char *format, ...);

#endif
